---
sidebar_label: Google Gemini
---

# Using Google Gemini With Roo Code

Roo Code supports Google's Gemini family of models through the Google AI Gemini API.

**Website:** [https://ai.google.dev/](https://ai.google.dev/)

## Getting an API Key

1.  **Go to Google AI Studio:** Navigate to [https://ai.google.dev/](https://ai.google.dev/).
2.  **Sign In:** Sign in with your Google account.
3.  **Create API Key:** Click on "Create API key" in the left-hand menu.
4.  **Copy API Key:** Copy the generated API key.

## Supported Models

Roo Code supports the following Gemini models:

* `gemini-2.5-pro-exp-03-25`
* `gemini-2.0-flash-001`
* `gemini-2.0-flash-lite-preview-02-05`
* `gemini-2.0-pro-exp-02-05`
* `gemini-2.0-flash-thinking-exp-01-21`
* `gemini-2.0-flash-thinking-exp-1219`
* `gemini-2.0-flash-exp`
* `gemini-1.5-flash-002`
* `gemini-1.5-flash-exp-0827`
* `gemini-1.5-flash-8b-exp-0827`
* `gemini-1.5-pro-002`
* `gemini-1.5-pro-exp-0827`
* `gemini-exp-1206`

Refer to the [Gemini documentation](https://ai.google.dev/models/gemini) for more details on each model.

## Configuration in Roo Code

1.  **Open Roo Code Settings:** Click the gear icon (<Codicon name="gear" />) in the Roo Code panel.
2.  **Select Provider:** Choose "Google Gemini" from the "API Provider" dropdown.
3.  **Enter API Key:** Paste your Gemini API key into the "Gemini API Key" field.
4.  **Select Model:** Choose your desired Gemini model from the "Model" dropdown.

5.  **(Optional) Enable Prompt Caching (Gemini 2.5 Models):** For supported Gemini 2.5 models, check the "Enable Prompt Caching" box if you wish to activate prompt caching. See the note below for important details specific to this provider.
    <img src="/img/v3.14.2/v3.14.2.png" alt="Prompt Caching Checkbox for Gemini Provider" width="600" />
## Tips and Notes

*   **Prompt Caching (Manual Activation Required):**
    *   Prompt caching is available for supported Gemini 2.5 models.
    *   However, for the **Google Gemini provider**, caching is **not enabled by default**.
    *   You **must manually check** the "Enable Prompt Caching" box in the provider settings to activate it.
    *   **Reason:** This manual step is a temporary workaround due to potential response delays sometimes observed with Google's caching mechanism when accessed directly via this provider.
*   **Pricing:**  Gemini API usage is priced based on input and output tokens. Refer to the [Gemini pricing page](https://ai.google.dev/pricing) for detailed information.
